Ubuntu

murrine_style_draw_box: assertion `height >= -1' failed

Reported by Jean-Philippe Orsini on 2010-03-13
152
This bug affects 35 people
Affects Status Importance Assigned to Milestone
emacs23 (Ubuntu)
Undecided
Unassigned
light-themes (Ubuntu)
Undecided
Unassigned
vim (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: emacs23

When I start emacs, I have the following messages:
** (emacs:3191): CRITICAL **: murrine_style_draw_box: assertion `height >= -1' failed

** (emacs:3191): CRITICAL **: murrine_style_draw_box: assertion `height >= -1' failed

This line also appear when I hit 'C-x-b' (switch-to-buffer)

Exact emacs version is: GNU Emacs 23.1.1
OS is ubuntu 10.04 Lucid Alpha (uptodate)

Except the display of these lines, emacs seems to work correctly

description: updated
Jay Pipes (jaypipes) wrote :

Also occurs with GVim.

Latest update seems to have fixed the "gravity" warnings, but now this warning pops up... Grrr.

-jay

Jean-Philippe Orsini (jfi) wrote :

Jay, do you have the same message than in my description? "murrine_style_draw_box: assertion `height >= -1' failed"

With 9.10 and gvim, I have a different one:
** (gvim:6140): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed
** (gvim:6146): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed

Jay Pipes (jaypipes) wrote :

Exactly the same, yes.

I was looking forward to getting rid of those warning messages with my upgrade last night. :( Unfortunately, those gravity messages were replaced with the murrine_style_draw_box message.

-jay

Changed in vim (Ubuntu):
status: New → Confirmed
Changed in emacs23 (Ubuntu):
status: New → Confirmed
era (era) wrote :

I am unable to reproduce this with a Lucid Alpha3 live CD and emacs23. Are there any additional actions you have to perform in order to see these messages?

Also, please indicate the precise version of the Emacs package -- include the output from "apt-cache policy emacs23" and possibly other related packages (emacs23-bin in particular).

Changed in emacs23 (Ubuntu):
status: Confirmed → Incomplete
era (era) wrote :

Similarly, please indicate the exact version of gvim you are using. I installed vim-gnome and was unable to reproduce the problem. However, gvim alternatives are shipped by several packages; perhaps I picked a different one than what you are using.

Hint: /etc/alternatives/gvim should be a symlink to a different application; you can then use dpkg -S to find out which package installed it. For example, here's what I see:

ubuntu@ubuntu~$ ls -l /etc/alternatives/gvim
lrwxrwxrwx 1 root root 18 2010-03-16 12:36 /etc/alternatives/gvim -> /usr/bin/vim.gnome

ubuntu@ubuntu~$ dpkg -S /usr/bin/vim.gnome
vim-gnome: /usr/bin/vim.gnome

ubuntu@ubuntu~$ apt-cache policy vim-gnome
vim-gnome:
  Installed: 2:7.2.330-1ubuntu2
  Candidate: 2:7.2.330-1ubuntu2
  Version table:
 *** 2:7.2.330-1ubuntu2 +
        500 http://archive.ubuntu.com lucid/main Packages
        100 /var/lib/dpkg/status

Changed in vim (Ubuntu):
status: Confirmed → Incomplete
Jay Pipes (jaypipes) wrote :

Hi again!

Unfortunately, I was having significant issues with my build tools environment for Drizzle and had to back down to Karmic. :( There was nothing particularly unusual about my Lucid setup, though. I was using the same GVim that was in the Lucid repos. Sorry I can't be more help!

-jay

Jean-Philippe Orsini (jfi) wrote :

@era let me know if you need other information

 apt-cache policy emacs23
emacs23:
  Installed: 23.1+1-4ubuntu6
  Candidate: 23.1+1-4ubuntu6
  Version table:
 *** 23.1+1-4ubuntu6 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

my actions:
 - alt-f2
 - gnome-terminal (same issue with xterm)
 - emacs

I have upgraded a 9.10 release to 10.04.

 apt-cache policy emacs23-bin-common
emacs23-bin-common:
  Installed: 23.1+1-4ubuntu6
  Candidate: 23.1+1-4ubuntu6
  Version table:
 *** 23.1+1-4ubuntu6 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

apt-cache policy emacs23-common
emacs23-common:
  Installed: 23.1+1-4ubuntu6
  Candidate: 23.1+1-4ubuntu6
  Version table:
 *** 23.1+1-4ubuntu6 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Jean-Philippe Orsini (jfi) wrote :

emacs -version
GNU Emacs 23.1.1
Copyright (C) 2009 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

which emacs
/usr/bin/emacs

Changed in emacs23 (Ubuntu):
status: Incomplete → New
Jean-Philippe Orsini (jfi) wrote :

@era
I have just discovered that the error occurs only when using Ambiance and Radiance theme, if I switch to Human for example, I don't have the errors.
I did not do any customization of the theme

Hope that helps

era (era) wrote :

Marking as Invalid for emacs23 and vim, as the error appears to be in the theme package.

Changed in emacs23 (Ubuntu):
status: New → Invalid
Changed in vim (Ubuntu):
status: Incomplete → Invalid
Robert Hall (reh07) wrote :

This occurs to me in Eclipse as well.
Using Radiance theme.

Robert Hall (reh07) on 2010-03-19
Changed in light-themes (Ubuntu):
status: New → Confirmed
Reinhard Tartler (siretart) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 538499, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Robert Lange (rcl24) wrote :

Just a quick update to say there is a fix reported in the following comment of bug #538499, so people can find it more rapidly.

https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/538499/comments/24

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers